# Uses of Interface
org.opensaml.xmlsec.encryption.Transforms

Packages that use Transforms
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of Transforms in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return Transforms
Modifier and Type
Method
Description
`Transforms`
CipherReference.`getTransforms()`
Get the Transforms child element, which describes which transformations to apply when dereferencing the data.
Methods in org.opensaml.xmlsec.encryption with parameters of type Transforms
Modifier and Type
Method
Description
`void`
CipherReference.`setTransforms(Transforms newTransforms)`
Set the Transforms child element, which describes which transformations to apply when dereferencing the data.

## Uses of Transforms in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement Transforms
Modifier and Type
Class
Description
`class`
`TransformsImpl`
Concrete implementation of `Transforms`.
Fields in org.opensaml.xmlsec.encryption.impl declared as Transforms
Modifier and Type
Field
Description
`private Transforms`
CipherReferenceImpl.`transforms`
Transforms child element value.
Methods in org.opensaml.xmlsec.encryption.impl that return Transforms
Modifier and Type
Method
Description
`Transforms`
TransformsBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`Transforms`
TransformsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Transforms`
CipherReferenceImpl.`getTransforms()`
Get the Transforms child element, which describes which transformations to apply when dereferencing the data.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type Transforms
Modifier and Type
Method
Description
`void`
CipherReferenceImpl.`setTransforms(Transforms newTransforms)`
Set the Transforms child element, which describes which transformations to apply when dereferencing the data.